#define A  1
#define B  2
#define C  4 
#define D  8 
#define E 16 
#define F 32 
#define G 64 

static flash unsigned char digits[] = {
        ~(A+B+C+D+E+F),   // 0
        ~(B+C),           // 1
        ~(A+B+D+E+G),     // 2
        ~(A+B+C+D+G),     // 3
        ~(B+C+F+G),       // 4
        ~(A+C+D+F+G),     // 5
        ~(A+C+D+E+F+G),   // 6
        ~(A+B+C),         // 7
        ~(A+B+C+D+E+F+G), // 8
        ~(A+B+C+D+F+G),   // 9
        ~(G),             // 10 -  
        ~(A+B+F+G),       // 11 -   
        ~(0),             // 12 - 
        ~(A+E+F+G),       // 13 - F
        ~(C+E+G),         // 14 - n
        ~(B+C+D+E+G),     // 15 - d
        ~(A+D+E+F+G),     // 16 - E
        ~(E+G)            // 17 - r
};                  

#define MINUS  10
#define GRADUS 11
#define PROBEL 12 

unsigned char devices, zpt;

// maximum number of DS18B20 connected to the 1 Wire bus
#define MAX_DEVICES 5

// DS18B20 devices ROM code storage area
unsigned char rom_code[MAX_DEVICES][9];

#define ON  1
#define OFF 0 
